petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatPartitioningViewImbalance

Display partitioning imbalance information.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatPartitioningViewImbalance(MatPartitioning matp, IS partitioning)

Collective on MatPartitioning

### Input Parameters

| matp | - the matrix partitioning object
| partitioning | - the partitioning. For each local node this tells the processor number that that node is assigned to.

### Options Database Keys

To see the partitioning imbalance information

       -mat_partitioning_view_balance

### See Also

MatPartitioningApply(), MatPartitioningView()

### Level

beginner

### Location

src/mat/partition/partition.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages